|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for Q3TextStream

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- Q3TextStream class reference

### Public Functions

- Q3TextStream ( QString & str, int filemode ) `(obsolete)`
- bool eof () const `(obsolete)`

## Member Function Documentation

### Q3TextStream::Q3TextStream ( QString & str, int filemode )

This constructor is equivalent to the constructor taking a QString* parameter.

### bool Q3TextStream::eof () const

This function has been renamed to atEnd().

See also QIODevice::atEnd().